=== modified file 'panel/PanelIndicatorEntryView.cpp'
--- panel/PanelIndicatorEntryView.cpp	2016-08-25 17:23:53 +0000
+++ panel/PanelIndicatorEntryView.cpp	2016-08-25 17:24:19 +0000
@@ -33,6 +33,8 @@
 #include "unity-shared/RawPixel.h"
 #include "unity-shared/WindowManager.h"
 #include "unity-shared/ThemeSettings.h"
+#include "unity-shared/UBusWrapper.h"
+#include "unity-shared/UBusMessages.h"
 #include "unity-shared/UnitySettings.h"
 
 namespace unity
@@ -117,6 +119,9 @@
     }
     else
     {
+      if (overlay_showing_)
+        UBusManager::SendMessage(UBUS_OVERLAY_CLOSE_REQUEST);
+
       WindowManager& wm = WindowManager::Default();
 
       if (wm.IsExpoActive())

=== modified file 'panel/PanelView.cpp'
--- panel/PanelView.cpp	2016-08-24 15:01:57 +0000
+++ panel/PanelView.cpp	2016-08-25 17:24:19 +0000
@@ -727,9 +727,6 @@
       last_pointer_time_ = 0;
       ActivateEntry(entry_id);
     }
-
-    if (overlay_is_open_)
-      ubus_manager_.SendMessage(UBUS_OVERLAY_CLOSE_REQUEST);
   }
   else
   {

